---
updatedAt: 2025-09-22T23:13:05.000Z
agentTools:
  projectIndex: https://developers.conekta.com/v2.1.0/llms.txt
---

# Create customer

The purpose of business is to create and keep a customer, you will learn what elements you need to create a customer.
Remember the credit and debit card tokenization process: [https://developers.conekta.com/page/web-checkout-tokenizer](https://developers.conekta.com/page/web-checkout-tokenizer)

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "contact": {
      "email": "engineering@conekta.com",
      "name": "Engineering Conekta",
      "url": "https://github.com/conekta/openapi/issues"
    },
    "description": "Conekta sdk",
    "license": {
      "name": "MIT-LICENSE",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "title": "Conekta API",
    "version": "2.1.0"
  },
  "servers": [
    {
      "description": "Conekta main server",
      "url": "https://api.conekta.io"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/customers": {
      "post": {
        "description": "The purpose of business is to create and keep a customer, you will learn what elements you need to create a customer.\nRemember the credit and debit card tokenization process: [https://developers.conekta.com/page/web-checkout-tokenizer](https://developers.conekta.com/page/web-checkout-tokenizer)\n",
        "operationId": "createCustomer",
        "parameters": [
          {
            "description": "Use for knowing which language to use",
            "examples": {
              "es": {
                "summary": "for spanish request/response",
                "value": "es"
              },
              "en": {
                "summary": "for english request/response",
                "value": "en"
              }
            },
            "in": "header",
            "name": "Accept-Language",
            "required": false,
            "schema": {
              "default": "es",
              "enum": [
                "es",
                "en"
              ],
              "type": "string"
            }
          },
          {
            "description": "In the case of a holding company, the company id of the child company to which will process the request.",
            "example": "6441b6376b60c3a638da80af",
            "in": "header",
            "name": "X-Child-Company-Id",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/customer"
        },
        "responses": {
          "200": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "schema": {
                  "$ref": "#/components/schemas/customer_response"
                }
              }
            },
            "description": "successful operation",
            "headers": {
              "Date": {
                "description": "The date and time that the response was sent",
                "schema": {
                  "example": "Fri, 03 Feb 2023 16:57:48 GMT",
                  "type": "string"
                }
              },
              "Content-Type": {
                "description": "The format of the response body",
                "schema": {
                  "example": "application/json; charset=utf-8",
                  "type": "string"
                }
              },
              "Content-Length": {
                "description": "The length of the response body in bytes",
                "schema": {
                  "example": "2737",
                  "type": "string"
                }
              },
              "Connection": {
                "description": "The type of connection used to transfer the response",
                "schema": {
                  "example": "keep-alive",
                  "type": "string"
                }
              },
              "Conekta-Media-Type": {
                "schema": {
                  "example": "conekta-v2.1.0; format=application/json",
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "Please include your access key in your request.",
                      "param": null,
                      "code": "conekta.errors.authentication.missing_key"
                    }
                  ],
                  "log_id": "507f1f77bcf86cd799439011",
                  "object": "error",
                  "type": "authentication_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "authentication error"
          },
          "402": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "The card could not be processed.",
                      "code": "conekta.errors.processing.tokenization.used",
                      "debug_message": "The token has already been used."
                    }
                  ],
                  "log_id": "641b6d073cd9a50001515007",
                  "object": "error",
                  "type": "processing_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "payment required error"
          },
          "422": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "The token does not exist.",
                      "param": "payment_method.token_id",
                      "code": "conekta.errors.parameter_validation.payment_method.token_id.nonexistent_token",
                      "debug_message": "The token does not exist."
                    }
                  ],
                  "log_id": "641b6d813cd9a50001515017",
                  "object": "error",
                  "type": "parameter_validation_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "parameter validation error"
          },
          "500": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "debug_message": "There was a runtime error and Conekta engineers have been notified.",
                      "message": "There was a runtime error and Conekta engineers have been notified.",
                      "param": null,
                      "code": "conekta.errors.api.system.general_failure"
                    }
                  ],
                  "object": "error",
                  "type": "api_error",
                  "log_id": "641b6f2b3cd9a50001515098"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "internal server error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "summary": "Create customer",
        "tags": [
          "Customers"
        ]
      }
    }
  },
  "components": {
    "requestBodies": {
      "customer": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer"
            }
          }
        },
        "description": "requested field for customer",
        "required": true
      }
    },
    "schemas": {
      "error": {
        "allOf": [
          {
            "$ref": "#/components/schemas/details"
          },
          {
            "properties": {
              "log_id": {
                "description": "log id",
                "example": "507f1f77bcf86cd799439011",
                "nullable": true,
                "type": "string"
              },
              "type": {
                "example": "authentication_error",
                "type": "string"
              },
              "object": {
                "example": "error",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "err model",
        "title": "error"
      },
      "page": {
        "description": "page metadata",
        "properties": {
          "next_page_url": {
            "description": "URL of the next page.",
            "example": "https://api.conekta.io/resources?limit=10&next=chrg_1",
            "nullable": true,
            "type": "string"
          },
          "previous_page_url": {
            "description": "Url of the previous page.",
            "example": "https://api.conekta.io/resources?limit=10&previous=chrg_1",
            "nullable": true,
            "type": "string"
          }
        },
        "title": "page metadata",
        "type": "object"
      },
      "pagination": {
        "description": "pagination metadata",
        "properties": {
          "has_more": {
            "description": "Indicates if there are more pages to be requested",
            "example": false,
            "type": "boolean"
          },
          "object": {
            "description": "Object type, in this case is list",
            "example": "list",
            "type": "string"
          }
        },
        "required": [
          "has_more",
          "object"
        ],
        "title": "pagination metadata",
        "type": "object"
      },
      "customer_response": {
        "description": "customer response",
        "properties": {
          "antifraud_info": {
            "$ref": "#/components/schemas/customer_antifraud_info_response"
          },
          "corporate": {
            "description": "true if the customer is a company",
            "type": "boolean"
          },
          "created_at": {
            "description": "Creation date of the object",
            "example": 1485151007,
            "format": "int64",
            "type": "integer"
          },
          "custom_reference": {
            "description": "Custom reference",
            "example": "custom_reference",
            "type": "string"
          },
          "date_of_birth": {
            "description": "It is a parameter that allows to identify the date of birth of the client.",
            "example": "24/07/1992",
            "type": "string"
          },
          "default_fiscal_entity_id": {
            "example": "fis_ent_2tKqqAfqPi21oCmEJ",
            "nullable": true,
            "type": "string"
          },
          "default_shipping_contact_id": {
            "example": "ship_cont_2tKZsTYcsryyu7Ah8",
            "type": "string"
          },
          "default_payment_source_id": {
            "example": "src_2tHJfJ79KyUwpxTio",
            "nullable": true,
            "type": "string"
          },
          "email": {
            "example": "Felipe@gmail.com",
            "format": "email",
            "type": "string"
          },
          "fiscal_entities": {
            "$ref": "#/components/schemas/customer_fiscal_entities_response"
          },
          "id": {
            "description": "Customer's ID",
            "example": "cus_2tHJfJ79KyUwpxTik",
            "type": "string"
          },
          "livemode": {
            "description": "true if the object exists in live mode or the value false if the object exists in test mode",
            "example": true,
            "type": "boolean"
          },
          "name": {
            "description": "Customer's name",
            "example": "Felipe",
            "type": "string"
          },
          "national_id": {
            "description": "It is a parameter that allows to identify the national identification number of the client.",
            "example": "HEGG560427MVZRRL04",
            "type": "string"
          },
          "metadata": {
            "additionalProperties": true,
            "maxProperties": 100,
            "type": "object"
          },
          "object": {
            "example": "customer",
            "type": "string"
          },
          "payment_sources": {
            "$ref": "#/components/schemas/customer_payment_methods_response"
          },
          "phone": {
            "description": "Customer's phone number",
            "example": "+5215555555555",
            "type": "string"
          },
          "shipping_contacts": {
            "$ref": "#/components/schemas/customer_response_shipping_contacts"
          },
          "subscription": {
            "$ref": "#/components/schemas/subscription_response"
          }
        },
        "required": [
          "created_at",
          "id",
          "livemode",
          "name",
          "object"
        ],
        "title": "customer response",
        "type": "object"
      },
      "customer_fiscal_entities_request": {
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/customer_address"
              }
            ]
          },
          "tax_id": {
            "type": "string"
          },
          "email": {
            "type": "string"
          },
          "phone": {
            "type": "string"
          },
          "metadata": {
            "additionalProperties": {
              "type": "object"
            },
            "type": "object"
          },
          "company_name": {
            "example": "conekta",
            "type": "string"
          }
        },
        "required": [
          "address"
        ],
        "title": "fiscal_entity_request",
        "type": "object"
      },
      "payment_method_cash_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/payment_method_response"
          },
          {
            "description": "use for cash responses",
            "properties": {
              "agreements": {
                "items": {
                  "$ref": "#/components/schemas/payment_method_cash_response_allOf_agreements"
                },
                "type": "array"
              },
              "reference": {
                "example": "93000262276908",
                "type": "string"
              },
              "barcode": {
                "example": "93000262276908",
                "type": "string"
              },
              "barcode_url": {
                "description": "URL to the barcode image, reference is the same as barcode",
                "example": "https://barcodes.conekta.com/644ebf80f2243197aad6cd8810375b905b613dbe.png",
                "type": "string"
              },
              "expires_at": {
                "example": 1742483424,
                "format": "int64",
                "type": "integer"
              },
              "provider": {
                "example": "Cash",
                "type": "string"
              }
            },
            "type": "object"
          }
        ]
      },
      "payment_method_card_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/payment_method_response"
          },
          {
            "description": "use for card responses",
            "properties": {
              "last4": {
                "example": "6410",
                "type": "string"
              },
              "bin": {
                "example": "40276657",
                "type": "string"
              },
              "card_type": {
                "example": "debit",
                "type": "string"
              },
              "exp_month": {
                "example": "10",
                "type": "string"
              },
              "exp_year": {
                "example": "25",
                "type": "string"
              },
              "brand": {
                "example": "visa",
                "type": "string"
              },
              "name": {
                "example": "Fulano Perez\"",
                "type": "string"
              },
              "default": {
                "type": "boolean"
              },
              "visible_on_checkout": {
                "type": "boolean"
              },
              "payment_source_status": {
                "example": "active",
                "type": "string"
              }
            },
            "type": "object"
          }
        ]
      },
      "payment_method_spei_recurrent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/payment_method_response"
          },
          {
            "description": "use for spei responses",
            "properties": {
              "reference": {
                "example": "93000262276908",
                "type": "string"
              },
              "expires_at": {
                "example": "none",
                "type": "string"
              }
            },
            "type": "object"
          }
        ]
      },
      "subscription_response": {
        "description": "subscription model",
        "properties": {
          "billing_cycle_start": {
            "example": 1677626827,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "billing_cycle_end": {
            "example": 1677626827,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "canceled_at": {
            "example": 1678258162,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "canceled_reason": {
            "description": "Reason for cancellation. This field appears when the subscription status is 'canceled'.",
            "example": "user_cancelation",
            "type": "string"
          },
          "card_id": {
            "example": "src_2tKcHxhTz7xU5SymL",
            "type": "string"
          },
          "charge_id": {
            "example": "2tKcHxhTz7xU5SymL",
            "nullable": true,
            "type": "string"
          },
          "created_at": {
            "example": 1677626837,
            "format": "int64",
            "type": "integer"
          },
          "customer_custom_reference": {
            "example": "dotnet_123456",
            "type": "string"
          },
          "customer_id": {
            "example": "cus_2tKcHxhTz7xU5SymF",
            "type": "string"
          },
          "id": {
            "example": "gold-plan",
            "type": "string"
          },
          "last_billing_cycle_order_id": {
            "example": "ord_2tSoMP7bZJbLiq4z8",
            "type": "string"
          },
          "object": {
            "example": "subscription",
            "type": "string"
          },
          "paused_at": {
            "example": 1678258162,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "plan_id": {
            "example": "plan_2tXx672QLQ68CkmMn",
            "type": "string"
          },
          "status": {
            "example": "past_due",
            "type": "string"
          },
          "subscription_start": {
            "example": 1677626837,
            "type": "integer"
          },
          "trial_start": {
            "example": 1677626837,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "trial_end": {
            "example": 1677626837,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          }
        },
        "title": "subscription_response",
        "type": "object"
      },
      "customer": {
        "description": "a customer",
        "properties": {
          "antifraud_info": {
            "$ref": "#/components/schemas/customer_antifraud_info"
          },
          "corporate": {
            "default": false,
            "description": "It is a value that allows identifying if the email is corporate or not.",
            "example": false,
            "type": "boolean"
          },
          "custom_reference": {
            "description": "It is an undefined value.",
            "type": "string"
          },
          "date_of_birth": {
            "description": "It is a parameter that allows to identify the date of birth of the client.",
            "example": "24/07/1992",
            "type": "string"
          },
          "email": {
            "description": "An email address is a series of customizable characters followed by a universal Internet symbol, the at symbol (@), the name of a host server, and a web domain ending (.mx, .com, .org, . net, etc).",
            "example": "miguel@gmail.com",
            "format": "email",
            "type": "string"
          },
          "default_payment_source_id": {
            "description": "It is a parameter that allows to identify in the response, the Conekta ID of a payment method (payment_id)",
            "example": "src_1a2b3c4d5e6f7g8h",
            "type": "string"
          },
          "default_shipping_contact_id": {
            "description": "It is a parameter that allows to identify in the response, the Conekta ID of the shipping address (shipping_contact)",
            "example": "ship_cont_1a2b3c4d5e6f7g8h",
            "type": "string"
          },
          "fiscal_entities": {
            "items": {
              "$ref": "#/components/schemas/customer_fiscal_entities_request"
            },
            "type": "array"
          },
          "metadata": {
            "additionalProperties": true,
            "maxProperties": 100,
            "type": "object"
          },
          "name": {
            "description": "Client's name",
            "example": "miguel",
            "type": "string"
          },
          "national_id": {
            "description": "It is a parameter that allows to identify the national identification number of the client.",
            "example": "HEGG560427MVZRRL04",
            "type": "string"
          },
          "payment_sources": {
            "description": "Contains details of the payment methods that the customer has active or has used in Conekta",
            "items": {
              "$ref": "#/components/schemas/customer_payment_methods_request"
            },
            "type": "array"
          },
          "phone": {
            "description": "Is the customer's phone number",
            "example": "+5215555555555",
            "type": "string"
          },
          "plan_id": {
            "description": "Contains the ID of a plan, which could together with name, email and phone create a client directly to a subscription",
            "example": "plan_987234823",
            "type": "string"
          },
          "shipping_contacts": {
            "description": "Contains the detail of the shipping addresses that the client has active or has used in Conekta",
            "items": {
              "$ref": "#/components/schemas/customer_shipping_contacts"
            },
            "type": "array"
          },
          "subscription": {
            "$ref": "#/components/schemas/subscription_request"
          }
        },
        "required": [
          "email",
          "name",
          "phone"
        ],
        "title": "customer request",
        "type": "object"
      },
      "payment_method_token_request": {
        "allOf": [
          {
            "$ref": "#/components/schemas/customer_payment_method_request"
          },
          {
            "properties": {
              "token_id": {
                "description": "Token id that will be used to create a \"card\" type payment method. See the (subscriptions)[https://developers.conekta.com/v2.1.0/reference/createsubscription] tutorial for more information on how to tokenize cards.",
                "example": "tok_32hj4g234as",
                "type": "string"
              }
            },
            "required": [
              "token_id"
            ],
            "type": "object"
          }
        ],
        "title": "payment_method_token_request"
      },
      "payment_method_cash_request": {
        "allOf": [
          {
            "$ref": "#/components/schemas/customer_payment_method_request"
          },
          {
            "properties": {
              "expires_at": {
                "example": 1553273553,
                "format": "int64",
                "type": "integer"
              }
            },
            "type": "object"
          }
        ],
        "title": "payment_method_cash_request"
      },
      "payment_method_spei_request": {
        "allOf": [
          {
            "$ref": "#/components/schemas/customer_payment_method_request"
          },
          {
            "properties": {
              "expires_at": {
                "example": 1553273553,
                "format": "int64",
                "type": "integer"
              }
            },
            "type": "object"
          }
        ],
        "title": "payment_method_spei_request"
      },
      "customer_shipping_contacts": {
        "description": "[Shipping](https://developers.conekta.com/v2.1.0/reference/createcustomershippingcontacts)\ndetails, required in case of sending a shipping. If we do not receive a shipping_contact on the order, the default shipping_contact of the customer will be used.",
        "properties": {
          "phone": {
            "description": "Phone contact",
            "example": "+525511223344",
            "type": "string"
          },
          "receiver": {
            "description": "Name of the person who will receive the order",
            "example": "Marvin Fuller",
            "type": "string"
          },
          "between_streets": {
            "description": "The street names between which the order will be delivered.",
            "example": "Ackerman Crescent",
            "type": "string"
          },
          "address": {
            "$ref": "#/components/schemas/customer_shipping_contacts_address"
          },
          "parent_id": {
            "type": "string"
          },
          "default": {
            "nullable": true,
            "type": "boolean"
          },
          "deleted": {
            "nullable": true,
            "type": "boolean"
          },
          "metadata": {
            "additionalProperties": true,
            "description": "Metadata associated with the shipping contact",
            "maxProperties": 100,
            "type": "object"
          }
        },
        "required": [
          "address"
        ],
        "title": "customer_shipping_contacts_request",
        "type": "object"
      },
      "subscription_request": {
        "description": "It is a parameter that allows to identify in the response, the detailed content of the plans to which the client has subscribed",
        "properties": {
          "plan_id": {
            "example": "f84gdgf5g48r15fd21g8w424fd1",
            "type": "string"
          },
          "card_id": {
            "example": "src_2qUCNd5AyQqfPMBuV",
            "type": "string"
          },
          "trial_end": {
            "example": 1484040996,
            "type": "integer"
          }
        },
        "required": [
          "plan_id"
        ],
        "title": "subscription_request",
        "type": "object"
      },
      "details": {
        "properties": {
          "details": {
            "items": {
              "$ref": "#/components/schemas/details_error"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "customer_address": {
        "properties": {
          "street1": {
            "example": "Nuevo Leon 254",
            "type": "string"
          },
          "street2": {
            "example": "Departamento 404",
            "type": "string"
          },
          "postal_code": {
            "example": "06100",
            "type": "string"
          },
          "city": {
            "example": "Ciudad de Mexico",
            "type": "string"
          },
          "state": {
            "example": "Ciudad de Mexico",
            "type": "string"
          },
          "country": {
            "description": "this field follows the [ISO 3166-1 alpha-2 standard](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)",
            "example": "MX",
            "type": "string"
          },
          "residential": {
            "default": false,
            "example": true,
            "type": "boolean"
          },
          "external_number": {
            "type": "string"
          }
        },
        "required": [
          "city",
          "postal_code",
          "street1"
        ],
        "type": "object"
      },
      "payment_method_response": {
        "properties": {
          "type": {
            "type": "string"
          },
          "id": {
            "example": "src_2s8K1B3PBKDontpi9",
            "type": "string"
          },
          "object": {
            "example": "payment_source",
            "type": "string"
          },
          "created_at": {
            "example": 1675715413,
            "format": "int64",
            "type": "integer"
          },
          "parent_id": {
            "example": "cus_2s8K1B3PBKDontpi8",
            "type": "string"
          }
        },
        "required": [
          "created_at",
          "id",
          "object",
          "type"
        ],
        "type": "object"
      },
      "customer_payment_method_request": {
        "description": "Contains details of the payment methods that the customer has active or has used in Conekta",
        "properties": {
          "type": {
            "description": "Type of payment method",
            "example": "card | cash | spei | bnpl",
            "type": "string"
          }
        },
        "required": [
          "type"
        ],
        "title": "customer_payment_method_request",
        "type": "object"
      },
      "customer_antifraud_info_response": {
        "nullable": true,
        "properties": {
          "first_paid_at": {
            "example": 1485151007,
            "type": "integer"
          },
          "account_created_at": {
            "example": 1484040996,
            "format": "int64",
            "type": "integer"
          }
        },
        "title": "customer_antifraud_info_response",
        "type": "object"
      },
      "customer_fiscal_entities_data_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/customer_fiscal_entities_request"
          },
          {
            "properties": {
              "id": {
                "example": "ship_cont_2tKZsTYcsryyu7Ah8",
                "type": "string"
              },
              "object": {
                "example": "shipping_contact",
                "type": "string"
              },
              "created_at": {
                "example": 1675715413,
                "format": "int64",
                "type": "integer"
              },
              "parent_id": {
                "example": "cus_2tKcHxhTz7xU5SymF",
                "type": "string"
              },
              "default": {
                "type": "boolean"
              }
            },
            "required": [
              "created_at",
              "id",
              "object"
            ],
            "type": "object"
          }
        ],
        "title": "customer_fiscal_entities_data_response"
      },
      "customer_fiscal_entities_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/pagination"
          },
          {
            "properties": {
              "data": {
                "items": {
                  "$ref": "#/components/schemas/customer_fiscal_entities_data_response"
                },
                "type": "array"
              }
            },
            "type": "object"
          }
        ],
        "title": "customer_fiscal_entities_response"
      },
      "customer_payment_methods_data": {
        "discriminator": {
          "mapping": {
            "cash": "payment_method_cash_response",
            "card": "payment_method_card_response",
            "oxxo_recurrent": "payment_method_cash_response",
            "cash_recurrent": "payment_method_cash_response",
            "spei_recurrent": "payment_method_spei_recurrent"
          },
          "propertyName": "type"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/payment_method_cash_response"
          },
          {
            "$ref": "#/components/schemas/payment_method_card_response"
          },
          {
            "$ref": "#/components/schemas/payment_method_spei_recurrent"
          }
        ],
        "title": "customer_payment_methods_data"
      },
      "customer_payment_methods_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/pagination"
          },
          {
            "$ref": "#/components/schemas/page"
          },
          {
            "properties": {
              "data": {
                "items": {
                  "$ref": "#/components/schemas/customer_payment_methods_data"
                },
                "title": "customer_payment_methods_data",
                "type": "array"
              }
            },
            "title": "customerPaymentMethods",
            "type": "object"
          }
        ],
        "title": "customer_payment_methods_response"
      },
      "customer_shipping_contacts_data_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/customer_shipping_contacts"
          },
          {
            "properties": {
              "id": {
                "example": "ship_cont_2tKZsTYcsryyu7Ah8",
                "type": "string"
              },
              "object": {
                "example": "shipping_contact",
                "type": "string"
              },
              "created_at": {
                "example": 1675715413,
                "format": "int64",
                "type": "integer"
              }
            },
            "required": [
              "created_at",
              "id",
              "object"
            ],
            "type": "object"
          }
        ],
        "title": "customer_shipping_contacts_data_response"
      },
      "customer_response_shipping_contacts": {
        "allOf": [
          {
            "$ref": "#/components/schemas/pagination"
          },
          {
            "properties": {
              "data": {
                "items": {
                  "$ref": "#/components/schemas/customer_shipping_contacts_data_response"
                },
                "type": "array"
              }
            },
            "type": "object"
          }
        ]
      },
      "payment_method_cash_response_allOf_agreements": {
        "properties": {
          "agreement": {
            "description": "Agreement number, you can use this number to pay in the store/bbva",
            "example": "2409526",
            "type": "string"
          },
          "provider": {
            "description": "Provider name, you can use this to know where to pay",
            "example": "bbva_cash_in",
            "type": "string"
          }
        },
        "type": "object"
      },
      "customer_antifraud_info": {
        "nullable": true,
        "properties": {
          "account_created_at": {
            "example": 1484040996,
            "format": "int64",
            "type": "integer"
          },
          "first_paid_at": {
            "example": 1485151007,
            "format": "int64",
            "type": "integer"
          }
        },
        "type": "object"
      },
      "customer_payment_methods_request": {
        "oneOf": [
          {
            "$ref": "#/components/schemas/payment_method_token_request"
          },
          {
            "$ref": "#/components/schemas/payment_method_cash_request"
          },
          {
            "$ref": "#/components/schemas/payment_method_spei_request"
          }
        ],
        "title": "customer_payment_methods_request"
      },
      "customer_shipping_contacts_address": {
        "description": "Address of the person who will receive the order",
        "properties": {
          "street1": {
            "example": "Nuevo Leon 254",
            "type": "string"
          },
          "street2": {
            "example": "Departamento 404",
            "type": "string"
          },
          "postal_code": {
            "example": "06100",
            "type": "string"
          },
          "city": {
            "example": "Ciudad de Mexico",
            "type": "string"
          },
          "state": {
            "example": "Ciudad de Mexico",
            "type": "string"
          },
          "country": {
            "description": "this field follows the [ISO 3166-1 alpha-2 standard](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)",
            "example": "MX",
            "type": "string"
          },
          "residential": {
            "example": true,
            "nullable": true,
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "details_error": {
        "properties": {
          "code": {
            "example": "conekta.errors.authentication.missing_key",
            "type": "string"
          },
          "param": {
            "nullable": true,
            "type": "string"
          },
          "message": {
            "example": "Acceso no autorizado.",
            "type": "string"
          },
          "debug_message": {
            "example": "Please include your access key in your request.",
            "type": "string"
          }
        },
        "title": "details_error",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```